function output=m_gen_traj_gen(name,varargin)

if ~ischar(name)
    error('Invalid input.')
end

switch length(varargin)
    case 4
        t_max = varargin{1};
        mol_pos = varargin{2};
        mol_orient = varargin{3};
        dye_param = varargin{4};
        flag = 0;
    case 5
        t_max = varargin{1};
        mol_pos = varargin{2};
        mol_orient = varargin{3};
        dye_param = varargin{4};
        flag = varargin{5};
    otherwise
        error('Invalid input.')
end

switch name
    case 'base_dye'
        output = m_gen_traj_base_dye(t_max, mol_pos, mol_orient, dye_param, flag);
    otherwise
        error(['Unknown dye model: ',num2str(name)]);
end

end