fields_to_plot={...
    ...'tol';...
    'intersection';...
    'jaccard';...
    'fscore';...
    'precision';...
    'recall';...
    'rmseLateral';...
    ...'rmseAxial';...
    'deltaX';...
    'deltaY';...
    ...'deltaZ';...
    };
figure
tol_values=5:5:150;
for idx_tol=1:length(tol_values)
    for field_name=fields_to_plot'
        eval(['plot(N_vals,mean(reshape([data_eval_1(idx_tol).val.',char(field_name),'],size(data_eval_1(idx_tol).val)),2));']);
        hold all
        eval(['plot(N_vals,mean(reshape([data_eval_2(idx_tol).val.',char(field_name),'],size(data_eval_2(idx_tol).val)),2));']);
        set(gca,'XScale','log')
        set(gca,'FontName','Times New Roman','Fontsize',14)
        ylabel(char(field_name))
        xlabel('Photons Per Spot')
        xlim([N_vals(1) N_vals(end)])
        saveas(gcf,[m_gen_path,filesep,'images',filesep,'T1_seq_eval3_',char(field_name),'_',num2str(tol_values(idx_tol),'%3.3i')],'emf')
        clf
    end
end
close(gcf)

%%
data_test_temp=data_test_all(:,1:4);
data_test_all_2=sortrows(data_test_temp);
save('data_test_all.txt', 'data_test_all_2', '-ascii')

save('data_ref_all.txt', 'data_ref_all', '-ascii')

%%
bins=-0.5:1:20.5;
for qwe=[1 5 10 20]
temp=ones(1e4,1)*qwe;
tic
% n_poiss_1=histc(poissrnd(temp),bins);
n_poiss_1=histc(random('poiss',temp),bins);
toc
tic
n_poiss_2=histc(m_gen_random('poisson',temp),bins);
toc

figure
subplot(2,1,1)
plot(bins+0.5,n_poiss_1,'x')
hold all
plot(bins+0.5,n_poiss_2,'o')
legend('Stat box','testSTORM')
subplot(2,1,2)
plot(bins+0.5,n_poiss_2./n_poiss_1,'x')

end